Package org.eclipse.net4j.signal

## Class SignalProtocol.TimeoutChangedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.net4j.signal.SignalProtocol.TimeoutChangedEvent

- All Implemented Interfaces:
    `java.io.Serializable`, `org.eclipse.net4j.util.event.IEvent`
  Enclosing class:
    SignalProtocol<INFRA_STRUCTURE>

      public static final class SignalProtocol.TimeoutChangedEvent
      extends org.eclipse.net4j.util.event.Event

  An `event` fired from a `signal protocol` when the protocol `timeout` has been changed.
  Since:
    4.1
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getNewTimeout()` |
    `long` | `getOldTimeout()` |
    `SignalProtocol<?>` | `getSource()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatAdditionalParameters, formatEventName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getSource

          public SignalProtocol<?> getSource()

      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`
      Overrides:
        `getSource` in class `org.eclipse.net4j.util.event.Event`

    - #### getOldTimeout

          public long getOldTimeout()

    - #### getNewTimeout

          public long getNewTimeout()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `org.eclipse.net4j.util.event.Event`